Skip to content

Create an inventory channel

POST
/v1/organizations/{organizationId}/inventory-channels

API key scope: inventory:write.

X-Request-Id
string

Optional client request id returned in structured errors.

Media typeapplication/json
object
name
required
string
Example
Default channel
code
required
string
Example
DEFAULT
type
required
string
Allowed values: default ecommerce marketplace pos wholesale custom
Example
default
metadata
object
Example
{
"marketplace": "web"
}

Inventory channel created.

Media typeapplication/json
object
id
required
string format: uuid
organizationId
required
string format: uuid
environment
required
string
Allowed values: live test
name
required
string
code
required
string
type
required
string
Allowed values: default ecommerce marketplace pos wholesale custom
status
required
string
Allowed values: active archived
metadata
object
key
additional properties
any
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Example
{
"id": "eeeeeeee-eeee-4eee-8eee-eeeeeeeeeeee",
"organizationId": "11111111-1111-4111-8111-111111111111",
"environment": "test",
"name": "Marketplace",
"code": "MARKETPLACE",
"type": "marketplace",
"status": "active",
"metadata": {
"region": "US"
},
"createdAt": "2026-07-03T10:00:00.000Z",
"updatedAt": "2026-07-03T10:00:00.000Z"
}

The organization has exhausted its monthly public API request quota.

Media typeapplication/json
Example
{
"error": {
"code": "PLAN_LIMIT_EXCEEDED",
"message": "Plan limit exceeded for api_requests",
"requestId": "req_123",
"details": {
"entitlementKey": "api_requests",
"scope": "environment",
"environment": "live",
"configured": true,
"limit": "50000",
"used": "50000",
"requested": "1",
"currentPlan": {
"code": "free",
"version": 1
},
"requiredPlan": {
"code": "starter",
"version": 1,
"requiresOverride": false
}
}
}
}